%define upstream_name    App-Magpie
%define upstream_version 1.111060

Name:       magpie
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    MAGeia Perl Integration Easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(CPAN::Mini)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(FindBin)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Parse::CPAN::Packages::Fast)
BuildRequires: perl(Path::Class) >= 0.220.0
BuildRequires: perl(Proc::ParallelLoop)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Padding)
BuildRequires: perl(URPM)
BuildRequires: perl(version)
BuildRequires: perl-version >= 1:0.870.0
BuildArch:  noarch

Requires:   bm
Requires:   mgarepo
%description
CPAN holds a lot of great modules - but it can be difficult for the user to
install if she's not familiar with the process. Therefore, Linux
distribution usually package quite a lot of them, for them to be easily
installable.

Mageia Linux is no exception, and ships more than 2500 packages holding
Perl distributions (at the time of writing). Maintaining those packages is
a daunting task - and cannot be done only by hand.

This distribution is therefore a set of scripts helping maintaining Perl
packages within Mageia. They can be somehow coupled or used independently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_bindir}/magpie
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Aug 14 2011 jquelin <jquelin> 1.111.60-3.mga1
+ Revision: 133079
- bug#2353 - package needs rebuild to get deps correctly

* Sun May 15 2011 pterjan <pterjan> 1.111.60-2.mga1
+ Revision: 98942
- Rebuild for fixed find-requires

* Sat Apr 16 2011 jquelin <jquelin> 1.111.60-1.mga1
+ Revision: 86665
- update to 1.111060

* Wed Apr 13 2011 jquelin <jquelin> 1.111.30-1.mga1
+ Revision: 84327
- update to 1.111030

* Tue Apr 12 2011 jquelin <jquelin> 1.111.20-1.mga1
+ Revision: 83923
- update to 1.111020

* Fri Mar 25 2011 jquelin <jquelin> 1.110.840-1.mga1
+ Revision: 77280
- update to 1.110840

* Sun Mar 13 2011 jquelin <jquelin> 1.110.720-1.mga1
+ Revision: 70551
- update to 1.110720

* Thu Mar 10 2011 jquelin <jquelin> 1.110.690-1.mga1
+ Revision: 67678
- update to 1.110690

* Wed Mar 09 2011 jquelin <jquelin> 1.110.680-1.mga1
+ Revision: 66813
- update to 1.110680

* Mon Feb 28 2011 jquelin <jquelin> 1.110.590-2.mga1
+ Revision: 61665
- adding missing requires, update summary

* Mon Feb 28 2011 jquelin <jquelin> 1.110.590-1.mga1
+ Revision: 61598
- update to 1.110590

* Sat Feb 26 2011 jquelin <jquelin> 1.110.570-1.mga1
+ Revision: 60731
- update to 1.110570

* Fri Feb 25 2011 jquelin <jquelin> 1.110.560-1.mga1
+ Revision: 59590
- update to 1.110560

* Thu Feb 24 2011 jquelin <jquelin> 1.110.550-1.mga1
+ Revision: 58911
- update to 1.110550

* Thu Feb 17 2011 jquelin <jquelin> 1.110.471-2.mga1
+ Revision: 53181
- requiring perl-version (damn epoch)
- perl-version needs an epoch
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 52200
- update to 1.110471

* Thu Feb 10 2011 jquelin <jquelin> 1.110.410-1.mga1
+ Revision: 49815
- update to 1.110410

* Tue Feb 08 2011 jquelin <jquelin> 1.110.390-1.mga1
+ Revision: 49018
- using magpie to fix spec
- update buildrequires:
- update to 1.110390

* Tue Feb 01 2011 jquelin <jquelin> 1.110.320-1.mga1
+ Revision: 45709
- update to 1.110320

* Mon Jan 24 2011 jquelin <jquelin> 1.110.241-1.mga1
+ Revision: 37411
- imported package magpie


* Mon Jan 24 2011 cpan2dist 1.110241-1mga
- initial mga release, generated with cpan2dist
